# Get async query results (nodes)

Retrieves the status and results of an async node-level query submitted via [CreateQuerySpecNodesAsync](/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/createqueryspecnodesasync.md).

Send a `POST` request with the `query_result_id` in the request body:

```json
{ "query_result_id": "<id>" }
```

{% openapi src="/files/Aco9gj4MY2XoNiD4zIjr" path="/api/v1/assessments/query\_spec:nodes\_async\_get" method="post" %}
[openapi.yaml](https://1967633068-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MZDkWMxox3pekd0NsZJ%2Fuploads%2Fgit-blob-f5344805587160cf141bde637e04e03e2aa86778%2Fopenapi.yaml?alt=media)
{% endopenapi %}

### Polling workflow

1. Submit a query using [CreateQuerySpecNodesAsync](/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/createqueryspecnodesasync.md).
2. Copy the `query_result_id` from the response.
3. Poll this endpoint with the `query_result_id` until `status` = `DONE`.
4. Retrieve results from the response when complete.

### Status values

| Value     | Description                                              |
| --------- | -------------------------------------------------------- |
| `PENDING` | Query is still executing. Results are not yet available. |
| `DONE`    | Query is complete. Results can be read.                  |
| `UNKNOWN` | Task ID not found, or the result was already consumed.   |

### Pagination

Results are paginated. Use `next_page_token` from the response to retrieve subsequent pages by including it in the next request body.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/getqueryspecnodesasync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
